
Infrastructure - Story #725

Create Authentication and Access control design specifications

2010-08-02 21:42 - Chad Berkley

Status: In Progress Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Dave Vieglais % Done: 30%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

The metacat CrudService class contains methods for authentication and access control changes that are not part of the original D1

Crud specification.  These services need to be decided on at a higher level and described in the specification so that they can be

made to work with any D1 node, not just metacat.

Subtasks:

Task # 1536: resolve differences in listPrincipals() and getPrincipalInfo() Closed

Task # 1529: rename newAccount() to registerAccount() Closed

Task # 1528: Add updateAccount() method allowing for changes in account attributes Closed

Task # 1527: Allow AccessPolicy to be set for groups New

Task # 1502: Fix hierarchy of permission levels. New

Task # 1494: Create sequence diagrams for Authentication services. New

Task # 1493: Create sequence diagrams for Identity Management functions. Closed

Task # 1485: Clean up authn requirements listing New

Task # 1484: Decide on format for Principals New

Task # 1483: getAuthSession only accessible to MNs and CNS Rejected

Task # 1496: Create SAML module in design docs for Assertion class Rejected

Task # 1482: Design mechanism to collapse two accounts into one New

Task # 1481: Clarify spec that groups can own objects New

Task # 1474: Design verification process for new accounts New

Task # 1473: Make default access policy explicit in Authz docs. New

Task # 1472: Explain revocation policies via MN curator. New

Task # 1471: Define implicit curator role at Member Nodes. New

Task # 1466: Evaluate Grouper Closed

Task # 1047: Write Authentication system specification In Progress

Task # 1048: Write authorization system specification In Progress

Task # 1061: Identify approach to IdentityMapping In Progress

Task # 1467: Complete d1_schema changes for Authz and Authn. In Progress

Task # 1470: Add API Authn method for listing users and groups. Closed

Task # 1468: Define AuthSession fields in Types.txt Closed

Task # 1049: Adapt, adopt, or design Authorization rules syntax Closed

Task # 1159: Add description of Group creation and management to design specs. In Progress

Task # 1469: Add API definitions for Authentication. Closed

Task # 1062: organize and categorize authz and authn requirements Closed

Task # 1060: Resolve design decisions about location of the Authorization operations (C... Closed

Task # 1073: Design client application authentication redirection approach New

Task # 1535: Add VerifiedUser symbolic principal to design Closed

Task # 1573: Create and use Types.Session with authentication-related interfaces Closed

Task # 1743: Define the Public User subject. Closed

Task # 2281: Possibly update the Identity Management and Authenticated Session Manageme... New

Task # 2664: Create documentation for how transitivity is enacted for authorization New

Related issues:
Related to Infrastructure - Story #2643: Finalize architecture docs for release Closed 2012-04-25 2014-09-24

Related to Infrastructure - Task #2688: Develop guidelines for how Subject en... New 2012-05-02 2013-03-16

Related to Infrastructure - Story #2830: Finalize documentation for availabil... Rejected 2012-05-30

History

#1 - 2010-08-02 21:43 - Chad Berkley

See the TODO's in CrudService.authenticate() and CrudService.setAccess()

#2 - 2010-10-06 21:52 - Dave Vieglais

- Start date set to 2010-10-06

- Milestone set to CCI-0.7

- Tracker changed from Task to Story

#3 - 2010-11-08 18:02 - Dave Vieglais

- Target version set to Sprint-2010.45

- Position changed from 1 to 60

- Position set to 1

#4 - 2010-11-12 17:52 - Dave Vieglais

- Position set to 1

- Position deleted (72)

- Target version changed from Sprint-2010.45 to Sprint-2010.46

#5 - 2010-11-19 17:45 - Dave Vieglais

- Position set to 2

- Position deleted (15)

- Target version changed from Sprint-2010.46 to Sprint-2010.47

#6 - 2010-11-30 17:54 - Matthew Jones

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position set to 5

- Position deleted (13)

#7 - 2010-12-13 18:34 - Dave Vieglais

- Position deleted (41)

- Position set to 8

- Target version changed from Sprint-2010.48 to Sprint-2010.50

#8 - 2010-12-13 18:45 - Matthew Jones

- Status changed from New to In Progress

#9 - 2011-01-03 03:12 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.01

#10 - 2011-01-10 18:26 - Dave Vieglais

- Position set to 25

- Position deleted (17)

- Target version changed from Sprint-2011.01 to Sprint-2011.02
#11 - 2011-01-17 16:25 - Dave Vieglais

- Position set to 47

- Target version changed from Sprint-2011.02 to Sprint-2011.03

- Position deleted (29)

#12 - 2011-01-24 04:41 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.03 to Sprint-2011.05

- Position deleted (51)

#13 - 2011-02-01 17:09 - Dave Vieglais

- Position set to 13

- Target version changed from Sprint-2011.05 to Sprint-2011.09-Block.2

- Position deleted (23)

#14 - 2011-03-07 17:41 - Dave Vieglais

- Position deleted (63)

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

- Position set to 6

#15 - 2011-03-15 16:23 - Matthew Jones

- Position deleted (17)

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position set to 6

#16 - 2011-03-22 14:00 - Dave Vieglais

- Position deleted (20)

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

- Position set to 6

#17 - 2011-03-28 16:36 - Dave Vieglais

- Position set to 4

- Position deleted (12)

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2

#18 - 2011-04-04 17:16 - Matthew Jones

- Position set to 1

- Position deleted (6)

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

#19 - 2011-04-07 02:42 - Matthew Jones

- Subject changed from Authentication and Access control need D1 Specs to Create Authentication and Access control design specifications

- Assignee changed from Dave Vieglais to Matthew Jones

- Milestone changed from CCI-0.7 to 2011-Block-2

#20 - 2011-04-13 04:14 - Dave Vieglais

- Position deleted (27)

- Position set to 22

- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2
#21 - 2011-04-22 16:53 - Matthew Jones

- Position deleted (26)

- Position set to 1

- Target version changed from Sprint-2011.15-Block.2 to Sprint-2011.17-Block.3

#22 - 2011-05-02 17:15 - Matthew Jones

- Position deleted (28)

- Position set to 10

- Target version changed from Sprint-2011.17-Block.3 to Sprint-2011.18-Block.3

#23 - 2011-05-09 18:25 - Matthew Jones

- Position set to 1

- Target version changed from Sprint-2011.18-Block.3 to Sprint-2011.19-Block.3

- Position deleted (12)

#24 - 2011-05-16 18:00 - Dave Vieglais

- Position deleted (2)

- Position set to 1

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.20-Block.3

#25 - 2011-05-25 15:35 - Dave Vieglais

- Position deleted (9)

- Position set to 4

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#26 - 2011-05-31 15:38 - Dave Vieglais

- Position set to 10

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3

- Position deleted (26)

#27 - 2011-06-07 00:13 - Dave Vieglais

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

- Position deleted (11)

- Position set to 1

#28 - 2011-06-27 01:16 - Dave Vieglais

- Target version changed from Sprint-2011.23-Block.3 to Sprint-2011.26-Block.4

- Position deleted (6)

- Position set to 4

#29 - 2011-08-30 01:22 - Dave Vieglais

- Target version deleted (Sprint-2011.26-Block.4)

- Position deleted (24)

- Position set to 1

#30 - 2011-08-30 01:52 - Dave Vieglais

- Position deleted (27)

- Position set to 13
#31 - 2012-01-06 03:59 - Dave Vieglais

- Position deleted (106)

- Position set to 1

#32 - 2012-02-08 20:14 - Dave Vieglais

- Target version set to Sprint-2012.07-Block.1.4

- Position set to 1

- Position deleted (73)

#33 - 2012-02-27 18:08 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 1

- Position deleted (12)

#34 - 2012-03-16 02:38 - Dave Vieglais

- Position set to 26

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position deleted (53)

#35 - 2012-03-26 17:45 - Matthew Jones

- Position set to 24

- Position deleted (30)

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.13-Block.2.3

#36 - 2012-04-23 17:43 - Dave Vieglais

- Position changed from 1 to 425

- Target version changed from Sprint-2012.13-Block.2.3 to Sprint-2012.19-Block.3.2

- Position deleted (38)

- Position set to 1

#37 - 2012-05-30 12:32 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.23-Block.3.4

- Position set to 1

- Position deleted (437)

#38 - 2012-06-08 22:09 - Matthew Jones

- Position set to 1

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

- Position deleted (7)

#39 - 2012-07-09 13:39 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

- Milestone changed from 2011-Block-2 to None

#40 - 2012-08-31 02:05 - Chris Jones

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#41 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1
- Due date set to 2012-10-27

#42 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

- Due date changed from 2012-10-27 to 2012-12-01

#43 - 2012-12-12 16:50 - Chris Jones

- Due date changed from 2012-12-01 to 2013-01-05

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#44 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

- Due date changed from 2013-01-05 to 2013-01-19

#45 - 2013-03-01 18:57 - Chris Jones

- Due date changed from 2013-01-19 to 2013-03-16

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#46 - 2013-08-02 12:22 - Dave Vieglais

- Due date changed from 2013-03-16 to 2013-08-24

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#47 - 2014-01-06 17:50 - Chris Jones

- Due date changed from 2013-08-24 to 2014-01-18

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#48 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

- Start date deleted (2010-11-10)

- Due date deleted (2014-01-18)

#49 - 2014-10-01 20:47 - Dave Vieglais

- Due date set to 2014-10-01

- Target version set to Maintenance Backlog

- Start date set to 2014-10-01

#50 - 2018-01-17 20:52 - Dave Vieglais

- Sprint set to Infrastructure backlog

#51 - 2018-01-17 20:52 - Dave Vieglais

- Assignee changed from Matthew Jones to Dave Vieglais

Powered by TCPDF (www.tcpdf.org)

2024-03-13 6/6

http://www.tcpdf.org

